<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:fn="http://xmlns.jcp.org/jsp/jstl/functions"
      >
    <body>
        <ui:composition template="/templates/template.xhtml">
            <ui:define name="title">
                <f:loadBundle basename="org.inra.ecoinfo.acbb.logs.logs"
                              var="logs"/>
                #{help.PARAM_MSG_TITLE}
            </ui:define>
            <ui:define name="body">
                <f:loadBundle basename="org.inra.ecoinfo.jsf.index" var="index"/>


                <p:layout styleClass="subcontainer" id="subcontainerLogs" widgetVar="subcontainerLogs">
                    <p:layoutUnit class="layoutNavigation" position="north" resizable="true" size="6em">
                        <h1 class="navigationHeader">
                            <h:panelGroup styleClass="navigation">
                                <h:panelGroup styleClass="navigationItem">
                                    <p:graphicImage value="#{resource['images/home.png']}"/>
                                    <h:outputLink value="index.jsf">#{index.PARAM_MSG_BREADCRUMBS}</h:outputLink>
                                </h:panelGroup>
                                <h:panelGroup styleClass="navigationItem">#{logs.PARAM_MSG_BREADCRUMBS}</h:panelGroup>
                            </h:panelGroup>
                            <h:panelGroup styleClass="title">
                                <p:graphicImage value="#{resource['images/download.png']}"/>
                                <h:outputLink value="#{logs.PARAM_MSG_PAGE_TITLE}"/>
                            </h:panelGroup>
                        </h1>
                        <h:form>
                            <p:accordionPanel activeIndex="-1"
                                              styleClass="help-panel">
                                <p:tab>
                                    <f:facet name="title">
                                        <p class="intro-main">
                                            <h:outputText
                                                value="#{logs.PARAM_MSG_WELCOME_INTRO}"
                                                escape="false"/>
                                        </p>
                                    </f:facet>
                                    <p:graphicImage value="#{resource['images/help.png']}"/>
                                    <p class="intro-main">
                                        <h:outputText
                                            value="#{logs.PARAM_MSG_INTRO_MAIN}"
                                            escape="false"/>
                                    </p>
                                </p:tab>
                            </p:accordionPanel>
                        </h:form>
                    </p:layoutUnit>
                    <p:layoutUnit position="center" resizable="true" collapsible="true" id="templateRight">
                        <h:outputStylesheet name="css/org/inra/ecoinfo/monsoere/help/help.css"/>
                        <h3>#{help.PARAM_MSG_TITLE_REFDATA}</h3>
                        <p:dataList value="#{uiLogs.logsFiles}" var="logsFile">
                            <p:panelGrid columns="2">
                                <h:outputText
                                    value="#{uiLogs.getDateFromLong(logsFile.lastModified())} " />
                                <h:outputLink title="#{logs}"
                                              value="resources/logs/#{fn:replace(logsFile.name,' ','%20')}">#{logsFile.name}
                                </h:outputLink>
                            </p:panelGrid>
                        </p:dataList>
                    </p:layoutUnit>
                </p:layout>
            </ui:define>
        </ui:composition>
    </body>
</html>